gitlab.md
GitLab
Authentication to Pandium
Pandium has api, read_repository, and write_repository scope access, which is defined by GitLab as the following:
api: "Grants complete read/write access to the API, including all groups and projects, the container registry, and the package registry."
read_repository: "Grants read-only access to repositories on private projects using Git-over-HTTP or the Repository Files API."
write_repository: "Grants read-write access to repositories on private projects using Git-over-HTTP (not using the API)."
You can read more on GitLab's website: https://docs.gitlab.com/ee/integration/oauth_provider.html#view-all-authorized-applications
Provisioning GitLab Source Control Integration
Before any integrations can be built, the source control tenant needs to be setup. To do that, select the source GitLab control tenant and connect it to the GitLab account with the relevant GitLab Project ID that will contain all the code for the integrations. When connecting the GitLab connector for the first time, it'll ask you to get permissions to access your organization. If you don't authorize it, the GitLab source control will not work properly. When the GitLab tenant has been successfully connected, a green checkmark will appear next to it.
Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on the current page URL with the ask query parameter, and the optional goal query parameter:
GET https://docs.pandium.com/reference/source-control/gitlab.md?ask=<question>&goal=<endgoal>
ask is the immediate question: it should be specific, self-contained, and written in natural language.goal is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.